1

In addition to Firefox, I frequently use Midori as a browser. Whenever I want to watch a video on YouTube I can only get the audio. But there's no video at all. As far as I know Midori does support HTML5, so theoretically everything should work.

System: Linux/Lubuntu 16.04.1 LTS, 64 bit

Any suggestions are welcome.

3
  • Try installing gstreamer1.0-vaapi package from a terminal as sudo apt install gstreamer1.0-vaapi and tell us what happens? – sourav c. Jan 11 '17 at 15:56
  • Hi. That didn't work at all. Midori crashed and shut down. Terminal said: (midori4:8720): GStreamer-CRITICAL **: Trying to dispose element play, but it is in READY instead of the NULL state. You need to explicitly set elements to the NULL state before dropping the final reference, to allow them to clean up. This problem may also be caused by a refcounting bug in the application or some element. So I uninstalled it immediately. – Rosika Jan 11 '17 at 16:26
  • Warning: I cannot find any current Midori version. The PPA was updated 2015-08-30, more than two years ago. For security reasons I would not use a web browser, that is [more than] two years old. – sudodus Dec 14 '17 at 9:03
0

The latest Midori and WebKit should give you what you want via the PPA. Run the following commands to make it work.

sudo add-apt-repository ppa:webkit-team
sudo add-apt-repository ppa:midori
sudo aptitude update
sudo aptitude upgrade

Otherwise try to start midori via the command line and paste the output here from what it shows when you go to Youtube.

6
  • Hi. O.K., first of all I started midori from the command line. Here is what it tells me: "Vector smash protection is enabled." When shutting down midori those additional lines are added: – Rosika Jan 11 '17 at 16:07
  • Command line output: Vector smash protection is enabled. libdc1394 error: Failed to initialize libdc1394. When shutting down also these messages: (midori4:2): Gdk-CRITICAL **: IA__gdk_drawable_get_colormap: assertion 'GDK_IS_DRAWABLE (drawable)' failed (midori4:2): Gdk-CRITICAL **: IA__gdk_window_set_background: assertion 'GDK_IS_WINDOW (window)' failed – Rosika Jan 11 '17 at 16:32
  • What kernel version are you on? – dinnerisserved Jan 11 '17 at 21:11
  • My kernel version: 4.4.0-59-generic x86_64 – Rosika Jan 12 '17 at 11:39
  • Please update the kernel is possible as this could potentially fix the lib error. Otherwise remove the lib completely. It seems to be an error that is corrected in the latest version of midoroi, but it could be kernel dependent as well. – dinnerisserved Jan 12 '17 at 17:13
0

solution found here : https://bbs.archlinux.org/viewtopic.php?id=186721

Midori uses gstreamer to decode audio & video. so try installing libav for gstreamer :

sudo apt install gstreamer1.0-libav

1
  • Hi hoccau. Tnx for the suggestion and the link. I´ll try that as soon as possible. – Rosika May 24 '18 at 15:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.